GET V1/PaymentsReconcile.{ext}/ProcessQueueFiles?companyCode={companyCode}&pageIndex={pageIndex}&pageSize={pageSize}
Get Process Queue Payment File Details.
Information about the present status of Payments info (Pf Name, Status,Aging, Company, Currency)
Mandatory Fields : N/A
Optional Fields : companyCode,pageIndex,pageSize
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyCode |
Comapny Code |
string |
Default value is |
| pageIndex |
Page Index |
integer |
Default value is 0 |
| pageSize |
Page Size |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
Process Queue Files
EMSResponseOfEMS.Payments.Entities.PaymentProcessQueue| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.PaymentProcessQueue |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "PaymentProcessQueue",
"response": {
"fileDetailList": [
{
"paymentFileId": 1,
"paymentFile": "sample string 1",
"status": "sample string 2",
"company": "sample string 3",
"paymentCurrency": "sample string 4",
"paymentFileDate": "sample string 5",
"statusAging": "sample string 6",
"fileAging": "sample string 7"
},
{
"paymentFileId": 1,
"paymentFile": "sample string 1",
"status": "sample string 2",
"company": "sample string 3",
"paymentCurrency": "sample string 4",
"paymentFileDate": "sample string 5",
"statusAging": "sample string 6",
"fileAging": "sample string 7"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.